/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

#include "GPumpSettings.h"

struct GPumpSettingsPrivate {
  GtkWidget * layout;
  
};

#define GPUMP_SETTINGS_GET_PRIVATE(obj)\
  (G_TYPE_INSTANCE_GET_PRIVATE ((obj), GPUMP_TYPE_SETTINGS,\
   GPumpSettingsPrivate))

G_DEFINE_TYPE (GPumpSettings, gpump_settings, GTK_TYPE_DIALOG)

GPumpSettings * gpump_settings_new (GtkWidget * parent) {
  GPumpSettings * self = g_object_new (GPUMP_TYPE_SETTINGS,
                         "title", _("GPump settings"),
                         "transient-for", parent,
                         "attached-to", parent,
                         NULL, NULL);
  g_object_ref (G_OBJECT(self)); /* Keep alive */
  return self;
}

void gpump_settings_free (GPumpSettings * self) {
  //TODO
}

void gpump_settings_init (GPumpSettings * self) {
  self->priv = GPUMP_SETTINGS_GET_PRIVATE (self);
  gtk_dialog_add_buttons (GTK_DIALOG (self), _("Okay"), GTK_RESPONSE_OK, NULL, NULL);
  gtk_window_set_default_size (GTK_WINDOW(self), 500,500);
}

void gpump_settings_class_init (GPumpSettingsClass * klass) {
  g_type_class_add_private (klass, sizeof(GPumpSettingsPrivate));
}

void gpump_settings_hide (GPumpSettings * self) {
  g_object_ref (G_OBJECT(self));
  gtk_widget_hide (GTK_WIDGET(self));
  g_object_unref (G_OBJECT(self));
}

void gpump_settings_show (GPumpSettings * self) {
  g_object_ref (G_OBJECT(self));
  gtk_dialog_run (GTK_DIALOG(self));
  gpump_settings_hide (self);
  g_object_unref (G_OBJECT(self));
}


